<?php
	include("../../deppo/v3/script/cevir.php");
	include("../../map.php");
	include("../../deppo/v3/script/fonksiyon.php");
	$sqlt=mysqli_query($conn, "select * from genel where ne='tahsilat'"); $rst=mysqli_fetch_assoc($sqlt);
	error_reporting(E_ALL);
	$moka_url = "https://service.TestMoka.com/Dealer/CreateDealer";
	//$dealer_code = tanim("pay+Moka","n3",0);
	//$username = tanim("pay+Moka","n1",0);
	//$password = tanim("pay+Moka","n2",0);
	$dealer_code = "1863";
	$username = "TestNova";
	$password = "YH9HS82GEWG7EGFY";
	$DealerType="2";											//2: Tüzel Kişi (Ltd.A.Ş) , 3 : Tüzel Kişi (Şahıs Firması)
	$TRIdentityNumber="12345678901";				//Tc (max 50 chars) , zorunlu
	$IndividualName="Abdullah";							// Ad Soyad
	$TaxNumber="1234567890";							//Vergi Numarası (10 hane), Tüzel kişi için zorunlu
	$CompanyName="Abdullah AS";					//Firma Adı (max 100 chars), Tüzel kişi için zorunlu
	$ContactName="Abdullah";							//Yetkili Adı (max 50 chars), Tüzel kişi için zorunlu
	$MokaEmail="abdullah@moka";						//Bayi ünvanı (max 200 chars) , zorunlu
	$PhoneNumber="5351116622";						//Bayi telefon numarası, zorunlu (5351112233 formatında)
	$NaceCode="471103";									//6 hane olarak vergi levhasında yazan faaliyet kodu, zorunlu
	$MokaPosProposalTemplateLimitId="7";			//Moka’ nın size vereceği bir ID dir. Bayinin limitlerinin tanımlanmasını sağlar.
	$MokaPosProposalTemplateRateId="7";			//Moka’ nın size vereceği bir ID dir. Bayinin komisyon oranlarının tanımlanmasını sağlar.
	$checkkey = hash("sha256",$dealer_code."MK".$username."PD".$password);
	$veri = array('DealerAuthentication'=>array('DealerCode'=>$dealer_code,'Username'=>$username,'Password'=>$password,'CheckKey'=>$checkkey),
	'DealerRequest'=>array('DealerType'=>$DealerType,
	'TRIdentityNumber'=>$TRIdentityNumber,	
	'IndividualName'=>$IndividualName,
	'TaxNumber'=>$TaxNumber,
	'CompanyName'=>$CompanyName,
	'ContactName'=>$ContactName,
	'Email'=>$MokaEmail,
	'PhoneNumber'=>$PhoneNumber,
	'NaceCode'=>$NaceCode,
	'MokaPosProposalTemplateLimitId'=>$MokaPosProposalTemplateLimitId,
	'MokaPosProposalTemplateRateId'=>$MokaPosProposalTemplateRateId));
	$veri = json_encode($veri);
	echo $veri;
	$ch = curl_init($moka_url); 
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
	curl_setopt($ch, CURLOPT_POST, 1); 
	curl_setopt($ch, CURLOPT_POSTFIELDS, $veri);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_SSLVERSION, 6);	  // TLS 1.2 baglanti destegi icin
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);    // ssl sayfa baglantilarinda aktif edilmeli
	$result = curl_exec ($ch); 
	curl_close ($ch);
	$result = json_decode($result);
	
	echo $result->ResultCode;
	if ($result->ResultCode=="Success"){
		$DealerCode=$result->Data->DealerCode;
		$Username=$result->Data->Username;
		$Password=$result->Data->Password;
	}
	
?>